## mate-rr-config mate-rr-config |

## Functions

MateRRConfig * | mate_rr_config_new_current ()
MateRRConfig * | mate_rr_config_new_stored ()
void | mate_rr_config_free ()
gboolean | mate_rr_config_match ()
gboolean | mate_rr_config_equal ()
gboolean | mate_rr_config_save ()
void | mate_rr_config_sanitize ()
gboolean | mate_rr_config_apply ()
gboolean | mate_rr_config_apply_stored ()
gboolean | mate_rr_config_applicable ()

## Types and Values

typedef | MateOutputInfo
typedef | MateRRConfig

## Object Hierarchy

## Includes

    #include <mate-rr-config.h>

## Description

## Functions

### mate_rr_config_new_current ()

    MateRRConfig *
    mate_rr_config_new_current (MateRRScreen *screen);

#### Returns

### mate_rr_config_new_stored ()

    MateRRConfig *
    mate_rr_config_new_stored (MateRRScreen *screen,
                               GError **error);

#### Returns

### mate_rr_config_free ()

    void
    mate_rr_config_free (MateRRConfig *configuration);

### mate_rr_config_match ()

    gboolean
    mate_rr_config_match (MateRRConfig *config1,
                          MateRRConfig *config2);

#### Returns

### mate_rr_config_equal ()

    gboolean
    mate_rr_config_equal (MateRRConfig *config1,
                          MateRRConfig *config2);

#### Returns

### mate_rr_config_save ()

    gboolean
    mate_rr_config_save (MateRRConfig *configuration,
                         GError **error);

#### Returns

### mate_rr_config_sanitize ()

    void
    mate_rr_config_sanitize (MateRRConfig *configuration);

### mate_rr_config_apply ()

    gboolean
    mate_rr_config_apply (MateRRConfig *configuration,
                          MateRRScreen *screen,
                          GError **error);

`mate_rr_config_apply` is deprecated and should not be used in newly-written code.

#### Returns

### mate_rr_config_apply_stored ()

    gboolean
    mate_rr_config_apply_stored (MateRRScreen *screen,
                                 GError **error);

`mate_rr_config_apply_stored` is deprecated and should not be used in newly-written code.

See the documentation for `mate_rr_config_apply_from_filename()`. This function simply calls that other function with a filename of `mate_rr_config_get_intended_filename()`.

`Deprecated` : 2.26: Use `mate_rr_config_apply_from_filename()` instead and pass it the filename from `mate_rr_config_get_intended_filename()`.

#### Parameters

screen | A MateRRScreen |
error | Location to store error, or `NULL` |

#### Returns

### mate_rr_config_applicable ()

    gboolean
    mate_rr_config_applicable (MateRRConfig *configuration,
                               MateRRScreen *screen,
                               GError **error);

#### Returns

## Types and Values

### MateOutputInfo

    typedef struct MateOutputInfo MateOutputInfo;

### MateRRConfig

    typedef struct MateRRConfig MateRRConfig;